TokenFilter.FileTokenizer (Apache Ant API)
Keywords: org.apache.tools.ant.filters.TokenFilter.FileTokenizer,TokenFilter.FileTokenizer class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.filters
Class TokenFilter.FileTokenizer

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.filters.TokenFilter.FileTokenizer

All Implemented Interfaces:
  Tokenizer

Enclosing class:
  TokenFilter

public static class TokenFilter.FileTokenizer
extends ProjectComponent
implements Tokenizer

class to read the complete input into a string

Field Summary

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`TokenFilter.FileTokenizer()`

Method Summary
`java.lang.String` | `getPostToken()` Return the intra-token string
`java.lang.String` | `getToken(java.io.Reader in)` Get the complete input as a string

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TokenFilter.FileTokenizer

    public TokenFilter.FileTokenizer()

Method Detail

### getToken

    public java.lang.String getToken(java.io.Reader in)
                              throws java.io.IOException

  Get the complete input as a string

  Specified by:
    `getToken` in interface `Tokenizer`
  Parameters:
    `in` - the reader object
  Returns:
    the complete input
  Throws:
    `java.io.IOException` - if error reading

### getPostToken

    public java.lang.String getPostToken()

  Return the intra-token string

  Specified by:
    `getPostToken` in interface `Tokenizer`
  Returns:
    an empty string always

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.